[Unit]
Description=WebOne HTTP Proxy Server
Documentation=https://github.com/atauenis/webone/wiki/
Requires=network-online.target
After=network-online.target

[Service]
Type=simple
DynamicUser=yes
Environment="HOME=/tmp/"
Environment="OPENSSL_CONF=/etc/webone.conf.d/openssl_webone.cnf"
ExecStart=/usr/bin/webone --daemon
ReadWriteDirectories=-/var/log/webone/
ReadWriteDirectories=-/etc/webone.conf.d/
TimeoutStopSec=10
Restart=on-failure
RestartSec=5
StartLimitInterval=5s
StartLimitBurst=3

[Install]
WantedBy=multi-user.target